Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 484872

Summary: www-misc/htdig : does not respect AR
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Gentoo Web Application Packages Maintainers <web-apps>
Status: RESOLVED OBSOLETE    
Severity: QA CC: sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    

Description Agostino Sarubbo gentoo-dev 2013-09-14 07:54:02 UTC
You receive this bug because this package does not respect my system's AR (x86_64-pc-linux-gnu-ar) and calls directly /usr/bin/ar
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can;
2)inherit toolchain-funcs and use tc-export AR
3)inherit toolchain-funcs and use emake AR="$(tc-getAR)"


From the build log:

libtool: link: /usr/bin/ar cru .libs/libhtword.a  WordBitCompress.o WordContext.o WordCursor.o WordDB.o WordDBCompress.o WordDBInfo.o WordDBPage.o WordKey.o WordKeyInfo.o 
WordList.o WordMonitor.o WordRecord.o WordRecordInfo.o WordReference.o WordStat.o WordType.o
Comment 1 Ted Tanberry 2014-03-30 13:34:30 UTC
--- htdig-3.2.0_beta6-r3.ebuild
+++ htdig-3.2.0_beta6-r3.ebuild
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/www-misc/htdig/htdig-3.2.0_beta6-r3.ebuild,v 1.12 2013/05/02 04:13:35 patrick Exp $

+EAPI=5
+
 inherit eutils autotools

 MY_PV=${PV/_beta/b}
@@ -20,20 +22,18 @@
 	app-arch/unzip
 	ssl? ( dev-libs/openssl )"

-src_unpack() {
-	unpack ${A}
-
-	cd "${S}"
+src_prepare() {
 	epatch "${FILESDIR}"/${P}-gcc4.patch
 	epatch "${FILESDIR}"/${P}-as-needed.patch
 	epatch "${FILESDIR}"/${P}-quoting.patch
-	sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.in db/configure.in || die
+	sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" \
+	    -e "s/AC_PATH_PROG(AR, ar, ar)/AM_PROG_AR/g" \
+	    -e "s/AC_PATH_PROG(SED, sed, \/bin\/sed)/AC_PROG_SED/g" \
+	    -i configure.in db/configure.in || die
 	eautoreconf
 }

-src_compile() {
-	use prefix || EPREFIX=
-
+src_configure() {
 	econf \
 		--with-config-dir="${EPREFIX}"/etc/${PN} \
 		--with-default-config-file="${EPREFIX}"/etc/${PN}/${PN}.conf \
@@ -44,13 +44,9 @@
 		$(use_with ssl)

 #		--with-image-url-prefix="file://${EPREFIX}/var/www/localhost/htdocs/${PN}" \
-
-	emake || die "emake failed"
 }

 src_install () {
-	use prefix || ED="${D}"
-
 	emake DESTDIR="${D}" install || die "make install failed"

 	dodoc ChangeLog README
Comment 2 Ted Tanberry 2014-03-30 13:34:53 UTC
[...]
libtool: link: x86_64-pc-linux-gnu-ar cru .libs/libhtword.a  WordBitCompress.o WordContext.o WordCursor.o WordDB.o WordDBCompress.o WordDBInfo.o WordDBPage.o WordKey.o WordKeyInfo.o WordList.o WordMonitor.o WordRecord.o WordRecordInfo.o WordReference.o WordStat.o WordType.o
[...]
Comment 3 Ted Tanberry 2014-03-30 13:37:22 UTC
I've updated the ebuild to EAPI 5 while at it. I removed setting EPREFIX explicitly (the maintainers might want to check on this) and changed how phases were handled.
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-06-16 12:57:39 UTC
Can't reproduce.